Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23

Thread: kopano core 8.1.0 segfault in php7/mapi on ubuntu-16.04 amd64

  1. #11
    Sure,

    but I have to admit that I used z-push 2.3.1+0 that has not officially been released for php7.

    Anyway, according to gdb, /usr/lib/php/20151012/mapi.so is also involved here:

    In z-push-errors.log, I get
    thx,
    jacks
    Last edited by jackson5; 04-10-2016 at 04:33 PM.

  2. #12
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    which device are you using?
    Looking for users to test our releases, interested? send me a PM

  3. #13
    It should not matter, but anyway:
    The above problem arises with different devices, e.g.,

    1. Samsung S4 mini Stock Android 5.2 with Standard Android Exchange Client
    2. LG G4 CM13 with TouchDown Exchange Client 8.5.00094
    3. BlackBerry Z30 BB OS10 with builtin ActiveSync Client
    4. Motorola G3 2014 CM13 with TouchDown Exchange Client 9.0.00412

    Exact same setup for either Kopano core 8.1.0 or Zarafa ZCP 7.2.4.29 on Ubutuntu 14.04 (php5) works flawlessly.
    Thus, I assume it is also related to php7/mapi.

    thx,
    jacks
    Last edited by jackson5; 30-09-2016 at 03:42 PM.

  4. #14
    Suyi,

    did you create a new issue on jira?

    thx,
    jacks

  5. #15
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    Hi Jacks,
    yeah sorry for the lack of updates, we are quite busy with the preparation for the conference.

    A ticket has already been created and currently being researched ->

    Cheers,
    -Suyi
    Looking for users to test our releases, interested? send me a PM

  6. #16
    Yeah, thanks a lot. I follow the discussion there.

    But I made a mistake concerning the z-push-version. In fact, it is "2.3.1+0" rather than "2.3.0-1" (as used in the ticket name).
    I am using the latest packages from the ubuntu feed.

    Sorry,
    jacks

  7. #17
    Hi,

    z-push 2.3.2 is out. Apache still crashes. After increasing z-pushes debug level, I get the following:

    z-push.log:

    BTW I recognized that there is the first beta out for kopano core 8.2.0.
    But while installing, I recognized that libgsoap10 is missing:

    I also do not find it in the standard ubuntu 16.04 repositories.

    thx,
    jacks
    Last edited by jackson5; 08-10-2016 at 09:01 AM.

  8. #18
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    Hi,
    issue has not be resolve yet, but we are working on it.
    regarding the dependency issue, we have created ->

    Cheers,
    -Suyi
    Looking for users to test our releases, interested? send me a PM

  9. #19
    Hi,

    since the 8.2.0 beta is not working yet, where can we download the last (stable) 8.1.0 release of the core?

    On the community download server, I only find beta releases.

    thx,
    jacks

  10. #20
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    Hi,
    The gSOAP issue should be solved by now.
    on our portal.kopano.com we have these stable packages, but that requires an account.

    We also have a separated branch where the memory issue should have been addressed but the change is rather invasive so have not merged it into master/nightly yet.
    If you are interested, please PM me or send us an email.

    -Suyi
    Looking for users to test our releases, interested? send me a PM

Page 2 of 3 FirstFirst 123 LastLast

Similar Threads

  1. Replies: 16
    Last Post: 31-10-2016, 12:30 PM
  2. Replies: 4
    Last Post: 03-08-2016, 08:59 PM
  3. [Solved] Ubuntu 9.10 segfault
    By xinit in forum Installation and Configuration Archives
    Replies: 12
    Last Post: 01-03-2011, 09:34 PM
  4. php-mapi, create company/group segfault
    By Dusan in forum PHP Development Archives
    Replies: 3
    Last Post: 11-11-2010, 09:29 PM
  5. Apache Core Dump from mapi.so.0.0
    By kronic in forum Installation and Configuration Archives
    Replies: 11
    Last Post: 03-01-2009, 08:11 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •